@import url('https://fonts.googleapis.com/css2?family=Belleza&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500&display=swap');

/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
:root {
    --primary: #FA0048;
    --primary-dark: #880023;
    --white: #fff;
    --pink-light: #FFCDDB;
    --lite-grey: #D9D9D9;
    --dark-head: #292929;
    --dark: #2D2D2D;
    --headfont: 'Belleza', sans-serif;
    --primaryfont: 'Poppins', sans-serif;
}

* {
    scroll-behavior: smooth;
    transition: 0.5s ease-in;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--primaryfont);
    color: var(--dark);
    overflow-x: hidden !important;
}

/* section {
    overflow-x: hidden !important;
} */

a {
    color: var(--white);
    text-decoration: none;
}

a:hover {
    color: var(--white);
    text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--titlefont);
}

.form-control {
    border: 0px solid #ced4da;
    background: none;
}

.form-control:focus {
    box-shadow: 0 0 0 0 rgba(13, 109, 253, 0);
}

button#button-addon2 {
    border: none;
    background: none;
}

table.mobile-none {
    display: inline-table;
}


/* ==== ENTRY ==== */

section.entry {
    background: url("../img/entry-bg.png");
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.entry-box{
    -webkit-backdrop-filter: blur(8px);  /* Safari 9+ */
    backdrop-filter: blur(8px); /* Chrome and Opera */
    /* box-shadow: inset 0 0 0 200px rgb(0 0 0 / 16%); */
    padding: 20px;
    color: var(--white);
}
.entry-box .form-control {
    border: 1px solid #a3a3a3;
    background: none;
    color: var(--white);
    border-radius: 0px;
}
.entry-box .form-control:focus{
    border: 1px solid var(--primary);
}
.entry-box .form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}
.entry-box .form-check-input:focus {
    box-shadow: 0 0 0 0.25rem rgb(250 0 72 / 27%);
}
button.ecomm-primary-btn {
    background: var(--primary);
    color: var(--white);
    padding: 5px;
    width: 100%;
    border: 0px;
    font-size: 18px;
    font-weight: 500;
}
button.ecomm-secondary-btn {
    background: var(--white);
    color: var(--primary);
    padding: 5px;
    width: 100%;
    font-size: 18px;
    font-weight: 500;
    border: 2px solid var(--primary);
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
.entry-small a, .entry-small{
    font-size: 14px;
    color: var(--white);
    text-decoration: none;
}
.entry-small span{
    color: var(--primary);
    font-weight: 700;
}
.or {
    position: revert;
    display: flex;
    justify-content: center;
    align-items: center;
}
.or-line {
    height: 1px;
    width: 100%;
    background: var(--white);
}
.or-content {
    background: var(--white);
    color: var(--dark-head);
    padding: 4px;
    position: absolute;
}
.entry-other button{
    font-size: 14px;
}

/* ==== ACCOUNT ==== */

.account-title-bg {
    background: linear-gradient(180deg, #FA0048 0%, #880023 100%);
    padding: 40px;
    color: var(--white);
}
.user-box {
    width: 150px;
    height: 150px;
    border: 5px solid var(--primary);
}
.tab {
    background: rgba(255, 205, 219, 0.26);
    width: 100%;
}
.tab button {
    display: block;
    background-color: inherit;
    color: #575757;
    padding: 10px 20px;
    width: 100%;
    border: none;
    outline: none;
    text-align: left;
    cursor: pointer;
    transition: 0.3s;
    font-size: 16px;
    font-weight: 500;
    border-left: 4px solid transparent;
}
.tab button:hover {
    border-left: 4px solid #FA0048;
    background: rgb(255 205 219 / 52%);
}
.tab button.active {
    border-left: 4px solid #FA0048;
    background: rgb(255 205 219 / 72%);
    color: var(--dark-head);
}
.tabcontent {
    padding: 15px;
    width: 100%;
    border-left: none;
    background: #ffe8ef;
    height: 100%;
}
.tabcontent h3 {
    font-size: 18px;
    font-weight: 700;
    letter-spacing: 3px;
    color: var(--primary);
}
.tabcontent .table-striped>tbody>tr:nth-of-type(odd)>* {
    --bs-table-accent-bg: rgb(255 215 226);
}
.tabcontent .table>:not(caption)>*>*{
    border: 0px;
}
.tabcontent a {
    color: var(--primary);
    font-weight: 600;
    font-size: 12px;
}
.tabcontent .form-control {
    border: 1px solid #8e0025;
    background: none;
}
.tabcontent .form-control:focus {
    box-shadow: 0 0 0 0 rgba(13, 109, 253, 0);
    border: 1px solid var(--primary);
}
.address-card {
    background: #fff;
    padding: 25px;
    border-radius: 15px;
}
.btn-check:focus+.btn, .btn:focus {
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgb(249 184 204);
}
.address-edit a {
    width: 30px;
    height: 30px;
    background: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
}
.address-edit a img{
    width: 20px;
}

.table-edit {
    width: 20px;
    height: 20px;
    background: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 5px;
    left: 5px;
}
.table-edit img{
    width: 10px;
}

h5.product-name{
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 20px;
}
h6.attribute {
    font-size: 12px;
    font-weight: 400;
}
h6.attribute span {
    font-size: 14px;
    font-weight: 500;
    color: var(--primary);
}
.cart-section table td{
    vertical-align: middle;
}
.cart-section thead {
    background: rgba(255, 205, 219, 0.26);
    color: var(--primary);
}
.cart-section thead th{
    font-size: 18px;
    font-weight: 500;
}
.cart-section .table>:not(:first-child) {
    border-top: 0px solid currentColor;
}
button.delete {
    border: 0px;
    background: var(--primary-dark);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
}
button.delete img{
    width: 15px;
}
.cart-product-details {
    width: 100%;
}
h6.product-price {
    font-size: 18px;
    font-weight: 600;
}
.cart-product-details .counter {
    width: auto;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
td.total {
    text-align: end;
}
.order-note .form-control {
    border: 1px solid var(--pink-light);
    background: none;
}

.cart-total-box {
    background: rgba(255, 205, 219, 0.26);
    padding: 25px;
}
.cart-total-box h5 {
    font-size: 16px;
    font-weight: 500;
    border-bottom: 2px solid var(--primary);
    color: var(--primary);
    padding-bottom: 10px;
}
.cart-total-box td {
    font-size: 16px;
    font-weight: 500;
}
.cart-total-box th {
    text-align: end;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
}
.btn-coupon input.form-control {
    border: 1px solid var(--primary);
    margin-bottom: 10px;
    border-radius: 0px;
    margin-top: 20px;
}
.sub-total h4 {
    font-size: 16px;
    font-weight: 500;
}
.sub-total h4 span{
    font-size: 24px;
    font-weight: 600;
    color: var(--primary-dark);
}
.desktop-none.wishlist-card {
    background: #fff2f6;
    padding: 20px;
    margin-bottom: 20px;
    position: relative;
}
.cart-delete-box {
    background: var(--primary);
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0px;
    right: 0px;
}
.cart-delete-box img{
    width: 14px;
}
.checkout .coupon {
    background: #fff2f6;
    padding: 10px;
    border: 1px dashed var(--primary);
    color: var(--dark);
    margin-bottom: 15px;
    font-size: 12px;
}
.checkout .coupon a{
    color: var(--primary);
    font-weight: 500;
}
.checkout h4 {
    font-size: 18px;
    font-weight: 500;
    color: var(--primary);
    padding-bottom: 5px;
    border-bottom: 1px solid var(--primary);
    margin-bottom: 20px;
}
.checkout form .form-control, .checkout form .form-select{
    border: 1px solid var(--pink-light);
}
.checkout form .form-control:focus, .checkout form .form-select:focus{
    border: 1px solid var(--primary);
    box-shadow: none;
}
.checkout .btn-secondary {
    color:  var(--primary);
    background-color: #fff2f6;
    border-color: var(--primary);
    gap: 10px;
}
.checkout .btn-secondary svg{
    margin-right: 10px;
}
.checkout .btn-check:active+.btn-secondary, .checkout .btn-check:checked+.btn-secondary, .checkout .btn-secondary.active, .checkout .btn-secondary:active, .checkout .show>.btn-secondary.dropdown-toggle {
    color: #fff;
    background-color: var(--primary);
    border-color: var(--primary);
}
.checkout .form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}
.checkout  .form-check-input[type=checkbox] {
    border-color: var(--pink-light);
} 
.checkout .form-check-input:focus {
    box-shadow: 0 0 0 0.25rem rgb(255 205 219);
}
.checkout .form-check-input{
    border-color: var(--primary);
}
.checkout-card {
    background: #fff2f6;
    padding: 25px;
}
.checkout-card td span {
    font-size: 12px;
    color: var(--primary);
}
.form-check a {
    color: var(--primary);
}

.checkout .card{
    border: 0px;
}

/* ==== PRODUCT LIST ==== */
a.btn.btn-filter {
    background: var(--primary);
    color: var(--white);
    font-weight: 500;
    border-radius: 0px;
}
p.product-found b {
    color: var(--primary);
}
form.search {
    border: 1px solid var(--primary);
}
.filter .offcanvas-header {
    background: var(--primary);
    color: var(--white);
}
button.btn-close-offcanvas {
    background: none;
    border: 0;
}
button.btn-close-offcanvas img{
    width: 30px;
}
.filter h6 {
    font-size: 18px;
    font-weight: 600;
    color: var(--primary-dark);
    border-left: 4px solid var(--primary);
    padding-left: 10px
}
.filter .form-control {
    border: 1px solid var(--primary);
    background: none;
    border-radius: 0px;
}
.filter .form-select{
    border: 1px solid var(--primary);
    border-radius: 0px;
}
.filter .form-select:focus {
    box-shadow: 0 0 0 0.25rem rgb(250 0 72 / 12%);
}
.filter .accordion-button{
    box-shadow: none;
    padding: 10px 0;
}
.filter .accordion-button:not(.collapsed) {
    color: var(--primary-dark);
    font-size: 14px;
    font-weight: 600;
    background-color: #fff;
    box-shadow: none;
    padding: 10px 0;
}
.filter .accordion-item {
    background-color: #fff;
    border: 0px solid rgba(0,0,0,.125);
}
.filter .accordion-body {
    padding: 0;
    padding-left: 15px;
}
.filter .accordion-button{
    font-size: 14px;
    font-weight: 600;
}
.filter button.accordion-button.parent-category {
    font-size: 16px;
    font-weight: 600;
}
.filter ul{
    padding-left: 1.2rem;
}
.filter li{
    padding: 5px 0;
    list-style: none;
}
.filter a{
    font-size: 14px;
    font-weight: 500;
    color: var(--dark);
}

.size-box label.btn {
    background: #fff2f6;
    color: var(--primary);
    border: 1px solid var(--primary);
    border-radius: 100px;
    width: 45px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}
.size-box .btn-check:focus+.btn, .size-box .btn:focus{
    background: var(--primary);
    color: var(--white);
}

.modal-dialog {
    max-width: 50%;
}

.xzoom-container {
    display: flex;
    height: 600px;
    gap: 0px;
    width: 520px;
}

  .xzoom-thumbs {
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    width: 100%;
  }
  .xzoom-thumbs {
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    width: 100%;
    padding-right: 10px;
    margin-bottom: 0px;
  }
  img#xzoom-default{
    width: 100%;
  }
  img.xzoom-gallery{
    border: 3px solid var(--white);
  }
  img.xzoom-gallery.xactive {
    border: 3px solid var(--primary);
  }
  
  .xzoom {
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0);
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0);
}
.xactive {
    -webkit-box-shadow: 0px 0px 3px 0px rgba(74, 169, 210, 0);
    -moz-box-shadow: 0px 0px 3px 0px rgba(74, 169, 210, 0);
    box-shadow: 0px 0px 3px 0px rgba(74, 169, 210, 0);
}

.rate {
    float: left;
    height: 30px;
}
.rate:not(:checked) > input {
    position:absolute;
    top:-9999px;
}
.rate:not(:checked) > label {
    float:right;
    width:1em;
    overflow:hidden;
    white-space:nowrap;
    cursor:pointer;
    font-size:20px;
    color:#ccc;
}
.rate:not(:checked) > label:before {
    content: '★ ';
}
.rate > input:checked ~ label {
    color: #ffc700;    
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
    color: #deb217;  
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
    color: #c59b08;
}
.total-rate span{
    font-weight: 600;
}
.product-details-content h6 {
    font-size: 24px;
    color: var(--dark);
    font-weight: 600;
}
.product-details-content span.old-price {
    color: var(--dark);
    text-decoration: line-through;
    font-size: 18px;
    text-decoration-color: var(--primary);
}
.product-details-content h4{
    font-size: 28px;
    font-weight: 500;
    color: var(--primary-dark);
}
.color-box {
    width: 25px;
    height: 25px;
    border-radius: 50px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px, rgb(236 236 236) 0px 0px 0px 3px;
    margin: 10px;
    cursor: pointer;
}
.color-box.red{
    background: red;
}
.color-box.white{
    background: white;
}
.color-box.green{
    background: green;
}
.color-box.blue{
    background: blue;
}
.color-box.black{
    background: black;
}
.color-box.active, .color-box:hover  {
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px, rgb(250 0 72) 0px 0px 0px 3px;
}
.product-details-content .counter {
    margin: initial;
}
.product-total h5 {
    font-size: 20px;
    font-weight: 500;
}
.product-details-content .offcanvas-top {
    height: 100vh;
}
.product-total h5 span{
    font-size: 36px;
    font-weight: 600;
    color: var(--primary);
}
.product-btn .icon-box {
    border: 2px solid var(--primary);
    width: 85px;
    height: 40px;
    border-radius: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.categories h6, .tags h6 {
    font-size: 10px;
    font-weight: 500;
}
.categories h6 a, .tags h6 a{
    font-size: 14px;
    font-weight: 600;
    color: var(--dark);
}
.share-box {
    width: 30px;
    height: 30px;
    background: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
}
.share-box img{
    width: 15px;
}
.estimated-delivery a {
    color: var(--primary-dark);
    font-size: 14px;
}
.estimated-delivery .form-control {
    border: 1px solid var(--primary);
}
.tab.product-detail-tab {
    display: flex;
    justify-content: flex-start;
    background: var(--white);
    border-top: 2px solid var(--pink-light);
}
.tab.product-detail-tab button{
    width: auto;
    border-left: 0px;
    border-top: 2px solid transparent;
}
.tab.product-detail-tab button.active, .tab.product-detail-tab button:hover {
    border-left: 0px;
    border-top: 2px solid var(--primary);
    background: var(--white);
    color: var(--primary);
}
.product-detail-tab-content.tabcontent {
    padding: 15px;
    width: 100%;
    border-left: none;
    background: var(--white);
    height: 100%;
    margin-top: 10px;
}
.rate.rate-form:not(:checked) > label {
    font-size: 40px;
}
/* .rate.rate-form {
    height: 50px;
} */
.wrapper {
    position: relative;
    display: inline-block;
    border: none;
    font-size: 30px;
    left: 50%;
    transform: translateX(-50%);
  }
  
  .wrapper input {
    border: 0;
    width: 1px;
    height: 1px;
    overflow: hidden;
    position: absolute !important;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px, 1px, 1px, 1px);
    opacity: 0;
  }
  
  .wrapper label {
    position: relative;
    float: right;
    color: #C8C8C8;
  }
  
  .wrapper label:before {
    margin: 5px;
    content: "★";
    font-family: FontAwesome;
    display: inline-block;
    font-size: 1.5em;
    color: #ccc;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
  }
  
  .wrapper input:checked ~ label:before {
    color: #FFC107;
  }
  
  .wrapper label:hover ~ label:before {
    color: #ffdb70;
  }
  
  .wrapper label:hover:before {
    color: #FFC107;
  }
  .progress {
    background-color: #fff2f6;
}
.progress-bar {
    background-color: var(--primary);
}
.total-rate .wrapper {
    position: relative;
    display: flex;
    border: none;
    font-size: 30px;
    flex-direction: row-reverse;
    justify-content: center;
}
.similar-product h6 {
    font-size: 18px;
    font-weight: 600;
}

.quick-view .slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

.quick-view .prev,.quick-view  .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.quick-view .next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.quick-view .prev:hover,.quick-view  .next:hover {
  background-color: rgba(0,0,0,0.8);
}

.quick-view .numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}
.quick-view .fade:not(.show) {
    opacity: 2;
}
.product-details {
    margin-top: 10px;
}
a.view-more-btn {
    color: var(--primary);
    font-size: 14px;
}

.quick-view .active, .dot:hover {
  background-color: #717171;
}

.quick-view .fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}

@media only screen and (max-width: 300px) {
    .quick-view .prev, .quick-view  .next,.quick-view .text {font-size: 11px}
}
.ecommerce .dropdown-item.active,  .ecommerce .dropdown-item:active {
    color: var(--white);
    text-decoration: none;
    background-color: var(--primary);
}
.ecommerce .dropdown-item:focus,.ecommerce  .dropdown-item:hover {
    color: #1e2125;
    background-color: #fa004812;
}

.cart-offcanvas .offcanvas-header {
    background: var(--primary);
    color: var(--white);
}
.cart-delivery-content {
    font-size: 14px;
    font-weight: 500;
}
.cart-offcanvas .offcanvas-body{
    position: relative;
}
.cart-delivery-content img{
    margin-right: 10px;
}
.cart-delivery-content span{
    color: var(--primary);
}
.cart-offcanvas .wishlist-product img.cart-img{
    width: 100px;
}
.cart-offcanvas h5.product-name{
    margin-bottom: 0px;
}
.cart-offcanvas .wishlist-card {
    background: #fa004814;
    padding: 15px;
    position: relative;
}
.cart-total-main{
    border-top: 3px solid var(--primary);
}
.cart-offcanvas .cart-total h6 {
    font-size: 16px;
    font-weight: 500;
}
.cart-offcanvas .cart-total h4 {
    font-size: 22px;
    font-weight: 600;
}
.cart-offcanvas p {
    font-size: 12px;
    font-weight: 400;
}


/* ==== QUANTITY COUNTER ==== */

.counter {
    width: 150px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.counter input {
    width: 50px;
    border: 0;
    line-height: 30px;
    font-size: 20px;
    text-align: center;
    background: var(--primary-dark);
    color: #fff;
    appearance: none;
    outline: 0;
}
.counter span {
    display: block;
    font-size: 25px;
    padding: 0 10px;
    cursor: pointer;
    color:  var(--primary-dark);
    user-select: none;
}

.desktop-none{
    display: none;
}



::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	border-radius: 0px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar
{
	width: 12px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: var(--primary);
}

.filter .accordion-button:not(.collapsed)::after{
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23FA0048'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
  }

@media only screen and (max-width: 600px){
    table.mobile-none{
        display: none;
    }
    .desktop-none{
        display: block;
    }
    button.ecomm-primary-btn, button.ecomm-secondary-btn{
        font-size: 14px;
    }
    .cart-total-box td {
        font-size: 13px;
    }
    .checkout-card {
        padding: 20px 10px;
    }
    .checkout-card th{
        white-space: nowrap;
    }
    .filter-section{
        margin-bottom: 10px;
    }
    .xzoom-container {
        flex-direction: column;
        height: 690px;
        gap: 8px;
        width: 100%;
        margin-bottom: 10px;
    }
    .xzoom-thumbs {
        flex-direction: row;
        overflow-y: auto;
    }
    .tab.product-detail-tab {
        display: flex;
        justify-content: flex-start;
        background: var(--white);
        border: 2px solid var(--pink-light);
        flex-direction: column;
    }
    .tab.product-detail-tab button {
        width: auto;
        border-left: 0px;
        border-top: 2px solid #ffcddb;
    }
    
}